Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.mvc.view
Class FlowAjaxTilesView

    java.lang.Object
      org.springframework.context.support.ApplicationObjectSupport
          org.springframework.web.context.support.WebApplicationObjectSupport
              org.springframework.web.servlet.view.AbstractView
                  org.springframework.web.servlet.view.AbstractUrlBasedView
                      org.springframework.web.servlet.view.tiles2.TilesView
                          org.springframework.js.ajax.tiles2.AjaxTilesView
                              org.springframework.webflow.mvc.view.FlowAjaxTilesView

All Implemented Interfaces:
  org.springframework.beans.factory.Aware, org.springframework.beans.factory.BeanNameAware, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware, org.springframework.web.context.ServletContextAware, org.springframework.web.servlet.View

    public class FlowAjaxTilesView

extends AjaxTilesView

Tiles view implementation that is able to handle partial rendering for Spring Javascript Ajax requests.

This implementation uses the `SpringJavascriptAjaxHandler` by default to determine whether the current request is an Ajax request. On an Ajax request for an active flow execution, the fragments set by a `<render>` action will be respected, otherwise the parent `AjaxTilesView`'s resolution algorithm will be applied.

Author:
  Jeremy Grelle

Field Summary

Fields inherited from class org.springframework.web.servlet.view.AbstractView
`DEFAULT_CONTENT_TYPE`

Fields inherited from class org.springframework.context.support.ApplicationObjectSupport
`logger`

Fields inherited from interface org.springframework.web.servlet.View
`PATH_VARIABLES, RESPONSE_STATUS_ATTRIBUTE, SELECTED_CONTENT_TYPE`

Constructor Summary
`FlowAjaxTilesView()`

Method Summary
`protected java.lang.String[]` | `getRenderFragments(java.util.Map model, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class org.springframework.js.ajax.tiles2.AjaxTilesView
`addRuntimeAttributes, afterPropertiesSet, flattenAttributeMap, getAjaxHandler, renderMergedOutputModel, setAjaxHandler`

Methods inherited from class org.springframework.web.servlet.view.tiles2.TilesView
`checkResource`

Methods inherited from class org.springframework.web.servlet.view.AbstractUrlBasedView
`getUrl, isUrlRequired, setUrl, toString`

Methods inherited from class org.springframework.web.servlet.view.AbstractView
`addStaticAttribute, createMergedOutputModel, createRequestContext, createTemporaryOutputStream, exposeModelAsRequestAttributes, generatesDownloadContent, getAttributesMap, getBeanName, getContentType, getRequestContextAttribute, getStaticAttributes, isExposePathVariables, prepareResponse, render, setAttributes, setAttributesCSV, setAttributesMap, setBeanName, setContentType, setExposePathVariables, setRequestContextAttribute, setResponseContentType, writeToResponse`

Methods inherited from class org.springframework.web.context.support.WebApplicationObjectSupport
`getServletContext, getTempDir, getWebApplicationContext, initApplicationContext, initServletContext, isContextRequired, setServletContext`

Methods inherited from class org.springframework.context.support.ApplicationObjectSupport
`getApplicationContext, getMessageSourceAccessor, initApplicationContext, requiredContextClass, setApplicationContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowAjaxTilesView

    public FlowAjaxTilesView()

Method Detail

### getRenderFragments

    protected java.lang.String[] getRenderFragments(java.util.Map model,
                                                    javax.servlet.http.HttpServletRequest request,
                                                    javax.servlet.http.HttpServletResponse response)

  Overrides:
    `getRenderFragments` in class `AjaxTilesView`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD